# $Revision: 1.6 $, $Date: 2004/12/26 17:39:47 $
%define		module	pyrple
%define		ver_y	2004
%define		ver_m	01
%define		ver_d	26

Summary:	Pyrple - parser for RDF/XML, N3, and N-Triples
Summary(pl):	Pyrple - parser dla RDF/XML, N3, N-Triples
Name:		python-%{module}
Version:	%{ver_y}%{ver_m}%{ver_d}
Release:	2
License:	BSD-like (see LICENSE.txt)
Vendor:		Robin Dunn <robin@alldunn.com>
Group:		Development/Languages/Python
Source0:	http://infomesh.net/pyrple/%{module}-%{ver_y}-%{ver_m}-%{ver_d}.tar.gz
# Source0-md5:	dfa643e209bb1948c25cab604fd78adc
URL:		http://infomesh.net/pyrple/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pyrple parses RDF/XML, N3, and N-Triples. It has in-memory storage
with API-level querying, experimental marshalling, many utilities, 
and is small and minimally interdependent. It can do graph isomorphism
testing, rule application, etc.

%description -l pl
Pyrple analizuje dane RDF/XML, N3, N-Triplets. Ma przechowywanie
danych w pamici z odpytywaniem na poziomie API, eksperymentalnym
porzdkowaniem, wieloma narzdziami. Jest may i ma minimalne
zalenoci. Moe sprawdza izomorficzno grafw, dziaanie regu itp.

%prep
%setup -q -n %{module}-%{ver_y}-%{ver_m}-%{ver_d}

%build
%{py_comp} .
%{py_ocomp} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

find . -name \*.py | xargs rm -f

cp -R . $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}
rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%{py_sitescriptdir}/%{module}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyrple.spec,v $
Revision 1.6  2004/12/26 17:39:47  saq
- release 2 for rebuild with python 2.4

Revision 1.5  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.4  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.3  2004/03/23 00:27:11  qboosh
- pl, added missing rcs tags

